Package org.drinkless.tdlib

# Class TdApi.StickerFullTypeCustomEmoji

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StickerFullType
org.drinkless.tdlib.TdApi.StickerFullTypeCustomEmoji

Enclosing class:
  `TdApi`

public static class TdApi.StickerFullTypeCustomEmoji extends TdApi.StickerFullType
The sticker is a custom emoji to be used inside message text and caption. Currently, only Telegram Premium users can use custom emoji.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.StickerFullType

  `TdApi.StickerFullType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `customEmojiId`
  Identifier of the custom emoji.
  `boolean`
  `needsRepainting`
  True, if the sticker must be repainted to a text color in messages, the color of the Telegram Premium badge in emoji status, white color on chat photos, or another appropriate color in other places.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StickerFullTypeCustomEmoji()`
  The sticker is a custom emoji to be used inside message text and caption.
  `StickerFullTypeCustomEmoji(long customEmojiId, boolean needsRepainting)`
  The sticker is a custom emoji to be used inside message text and caption.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### customEmojiId

    public long customEmojiId
    Identifier of the custom emoji.

  - ### needsRepainting

    public boolean needsRepainting
    True, if the sticker must be repainted to a text color in messages, the color of the Telegram Premium badge in emoji status, white color on chat photos, or another appropriate color in other places.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StickerFullTypeCustomEmoji

    public StickerFullTypeCustomEmoji()
    The sticker is a custom emoji to be used inside message text and caption. Currently, only Telegram Premium users can use custom emoji.

  - ### StickerFullTypeCustomEmoji

    public StickerFullTypeCustomEmoji(long customEmojiId, boolean needsRepainting)
    The sticker is a custom emoji to be used inside message text and caption. Currently, only Telegram Premium users can use custom emoji.
    Parameters:
      `customEmojiId` - Identifier of the custom emoji.
      `needsRepainting` - True, if the sticker must be repainted to a text color in messages, the color of the Telegram Premium badge in emoji status, white color on chat photos, or another appropriate color in other places.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.StickerFullType`
    Returns:
      this.CONSTRUCTOR